
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelO3BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelO3BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelO3BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelO3BulkExportMapper> mappers;

  public DefaultNlWasModelO3BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelO3BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
